<%= form_with(model: consultation, local: true) do |f| %>
  <% if consultation.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(consultation.errors.count, "error(es)") %></h2>

      <ul>
      <% consultation.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <p>Fecha</p>
    <%= f.date_select :date %>
  </div>

  <div class="field">
    <p>Asunto</p>
    <%= f.text_area :reason %>
  </div>

  <div class="field">
    <p>Doctor</p>
    <%= f.text_field :doctor %>
    <!--<%= @consultation.errors[:doctor].any? ? @consultation.errors[:doctor].to_s[/\w([^"]*)/] : "" %>
    -->
  </div>

  <div class="field">
    <p>Especialidad</p>
    <%= f.text_field :specialty %>
  </div>

  <div class="field">
    <p>Prescripción</p>
    <%= f.text_area :prescription %>
  </div>

  <div class="field">
    <p>Observaciones</p>
    <%= f.text_area :observations %>
  </div>

  <div class="field">
    <%= f.label :consultationPicture, 'Imagen de la Consulta' %><br />
    <%= f.file_field :consultationPicture %>
  </div>

  <div class="actions">
    <%= f.submit value = "Crear consulta"%>
  </div>


<% end %>
